﻿using System;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace CustomComboEditorColumn
{
    public class MainViewModel : ViewModelBase
    {
        public ObservableCollection<AttributeViewModel> Attributes
        {
            get
            {
                return m_Attributes;
            }
            set
            {
                if (m_Attributes != value)
                {
                    m_Attributes = value;
                    OnNotifyPropertyChanged("Attributes");
                }
            }
        }
        private ObservableCollection<AttributeViewModel> m_Attributes;


        public MainViewModel()
        {
            m_Attributes = new ObservableCollection<AttributeViewModel>()
                               {
                                   new AttributeViewModel(new AttributeModel("Height", new ObservableCollection<ValueModel>() { new ValueModel("13"), new ValueModel("16"), new ValueModel("38") }, new ValueModel("13"))),
                                   new AttributeViewModel(new AttributeModel("Width", new ObservableCollection<ValueModel>() { new ValueModel("1234"), new ValueModel("456"), new ValueModel("468"), new ValueModel("67") }, new ValueModel(string.Empty))),
                                   new AttributeViewModel(new AttributeModel("CompanyName", new ObservableCollection<ValueModel>() { new ValueModel("Siemens"), new ValueModel("Acer"), new ValueModel("Micro") }, new ValueModel(string.Empty))),
                                   new AttributeViewModel(new AttributeModel("Location", new ObservableCollection<ValueModel>() { new ValueModel("Toronto"), new ValueModel("London"), new ValueModel("Paris"), new ValueModel("Berlin") }, new ValueModel("Paris"))),
                                   new AttributeViewModel(new AttributeModel("Material", new ObservableCollection<ValueModel>() { new ValueModel("Iron"), new ValueModel("Plastic"), new ValueModel("Wood") }, new ValueModel("Steel"))),
                                   new AttributeViewModel(new AttributeModel("XAttribut6", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3") }, new ValueModel("Value1"))),
                                   new AttributeViewModel(new AttributeModel("XAttribut7", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3"), new ValueModel("Value4") }, new ValueModel(string.Empty))),
                                   new AttributeViewModel(new AttributeModel("XAttribut8", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3") }, new ValueModel("Value1"))),
                                   new AttributeViewModel(new AttributeModel("XAttribut9", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3"), new ValueModel("Value4") }, new ValueModel(string.Empty))),
                                   new AttributeViewModel(new AttributeModel("XAttribut10", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3") }, new ValueModel("Value1"))),
                                   new AttributeViewModel(new AttributeModel("XAttribut11", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3"), new ValueModel("Value4") }, new ValueModel(string.Empty))),
                                   new AttributeViewModel(new AttributeModel("XAttribut12", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3") }, new ValueModel("Value1"))),
                                   new AttributeViewModel(new AttributeModel("XAttribut13", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3"), new ValueModel("Value4") }, new ValueModel(string.Empty))),
                                   new AttributeViewModel(new AttributeModel("XAttribut14", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3") }, new ValueModel("Value1"))),
                                   new AttributeViewModel(new AttributeModel("XAttribut15", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3"), new ValueModel("Value4") }, new ValueModel(string.Empty))),
                                   new AttributeViewModel(new AttributeModel("XAttribut16", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3") }, new ValueModel("Value1"))),
                                   new AttributeViewModel(new AttributeModel("XAttribut17", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3"), new ValueModel("Value4") }, new ValueModel(string.Empty))),
                                   new AttributeViewModel(new AttributeModel("XAttribut18", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3") }, new ValueModel("Value1"))),
                                   new AttributeViewModel(new AttributeModel("XAttribut19", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3"), new ValueModel("Value4") }, new ValueModel(string.Empty))),
                                   new AttributeViewModel(new AttributeModel("XAttribut20", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3") }, new ValueModel("Value1"))),
                                   new AttributeViewModel(new AttributeModel("XAttribut21", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3"), new ValueModel("Value4") }, new ValueModel(string.Empty))),
                                   new AttributeViewModel(new AttributeModel("XAttribut22", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3") }, new ValueModel("Value1"))),
                                   new AttributeViewModel(new AttributeModel("XAttribut23", new ObservableCollection<ValueModel>() { new ValueModel("Value1"), new ValueModel("Value2"), new ValueModel("Value3"), new ValueModel("Value4") }, new ValueModel(string.Empty))),
                               };
        }
    }
}
